This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1309270 - python-tlslite: Provide a Python 3 subpackage
python-tlslite: Provide a Python 3 subpackage
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: python-tlslite (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Till Maas
Fedora Extras Quality Assurance
:
Depends On:
Blocks: PYTHON3
  Show dependency treegraph
 
Reported: 2016-02-17 05:54 EST by Petr Viktorin
Modified: 2016-02-18 12:03 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-18 12:03:16 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch that splits the package into 2 subpackages for python 2 and 3 (3.19 KB, patch)
2016-02-18 10:37 EST, Tomas Orsava
no flags Details | Diff

  None (edit)
Description Petr Viktorin 2016-02-17 05:54:55 EST
Upstream, this software supports Python 3. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's fine to do this in Rawhide only.


If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file
Comment 1 Till Maas 2016-02-17 14:59:52 EST
If someone provides a patch or fixes it as provenpackager, it will be appreciated!
Comment 2 Tomas Orsava 2016-02-18 10:37 EST
Created attachment 1128263 [details]
Patch that splits the package into 2 subpackages for python 2 and 3

Hi I made a patch that splits the package into 2 subpackages for python 2 and 3, hope it helps!
Comment 3 Till Maas 2016-02-18 12:03:16 EST
Awesome, thank you very much. It should build now.

Note You need to log in before you can comment on or make changes to this bug.